package com.bonus.material.ma.service;

import java.util.List;
import com.bonus.material.ma.domain.InputRecord;

/**
 * 入库记录Service接口
 * 
 * @author xsheng
 * @date 2024-09-27
 */
public interface IInputRecordService 
{
    /**
     * 查询入库记录
     * 
     * @param id 入库记录主键
     * @return 入库记录
     */
    public InputRecord selectInputRecordById(Long id);

    /**
     * 查询入库记录列表
     * 
     * @param inputRecord 入库记录
     * @return 入库记录集合
     */
    public List<InputRecord> selectInputRecordList(InputRecord inputRecord);

    /**
     * 新增入库记录
     * 
     * @param inputRecord 入库记录
     * @return 结果
     */
    public int insertInputRecord(InputRecord inputRecord);

    /**
     * 修改入库记录
     * 
     * @param inputRecord 入库记录
     * @return 结果
     */
    public int updateInputRecord(InputRecord inputRecord);

    /**
     * 批量删除入库记录
     * 
     * @param ids 需要删除的入库记录主键集合
     * @return 结果
     */
    public int deleteInputRecordByIds(Long[] ids);

    /**
     * 删除入库记录信息
     * 
     * @param id 入库记录主键
     * @return 结果
     */
    public int deleteInputRecordById(Long id);
}
